import request from '@/utils/request'

// 查询
export function getTreeData() {
  return request({
    url: '/admin/pm_location/menu_location',
    method: 'get'
  })
}

// 查询列表
export function getCalendarList(query) {
  return request({
    url: '/admin/pm_wo/selectall',
    method: 'get',
    params: query
  })
}

// 查询列表
export function getTableList(query) {
  return request({
    url: '/admin/pm_wo/listmonthpage',
    method: 'get',
    params: query
  })
}

export function getDetail(query) {
  return request({
    url: '/admin/pm_wo/selectone',
    method: 'get',
    params: query
  })
}
