import request from '@/utils/request'
// 查询列表
export function getKpilist(query) {
  return request({
    url: '/admin/pm_asset_kpi/listpage',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getKpi(params) {
  return request({
    url: '/admin/pm_asset_kpi/selectinfo',
    method: 'get',
    params: params
  })
}
export function getAllAsset() {
  return request({
    url: '/admin/pm_asset/selectall',
    method: 'get'
  })
}
export function getService(params) {
  return request({
    url: '/admin/pm_asset/selectservice',
    method: 'get',
    params: params
  })
}
// 新增
export function addKpi(data) {
  return request({
    url: '/admin/pm_asset_kpi/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateKpi(data) {
  return request({
    url: '/admin/pm_asset_kpi/upinfo',
    method: 'put',
    data: data
  })
}
// 删除
export function delKpi(finr, id, kpi) {
  return request({
    url: `/admin/pm_asset_kpi/del?finr=${finr}&assetid=${id}&kpi=${kpi}`,
    method: 'delete'
  })
}
