import request from '@/utils/request'

// 查询列表
export function getTemplatelist(query) {
  return request({
    url: '/admin/pm_template/listpage',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getTemplate(params) {
  return request({
    url: '/admin/pm_template/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addTemplate(data) {
  return request({
    url: '/admin/pm_template/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateTemplate(data) {
  return request({
    url: '/admin/pm_template/upinfo',
    method: 'put',
    data: data
  })
}
// 删除
export function delTemplate(finr, id) {
  return request({
    url: `/admin/pm_template/del?finr=${finr}&maintemplatenr=${id}`,
    method: 'delete'
  })
}
// 查询未分配
export function getUnassignList() {
  return request({
    url: '/admin/pm_template/selectall',
    method: 'get'
  })
}
