import request from '@/utils/request'

// 查询零件数据列表
export function getEtcdList(query) {
  return request({
    url: '/admin/etcdtab/listpage',
    method: 'get',
    params: query
  })
}

// 查询零件数据详细
export function getEtcd(params) {
  return request({
    url: '/admin/etcdtab/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增零件
export function addEtcd(data) {
  return request({
    url: '/admin/etcdtab/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateEtcd(data) {
  return request({
    url: '/admin/etcdtab/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delEtcd(id) {
  return request({
    url: `/admin/etcdtab/del?id=${id}`,
    method: 'delete'
  })
}
