import request from '@/utils/request'

// 查询列表
export function getDBlist(query) {
  return request({
    url: '/admin/database/listpage',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getDB(params) {
  return request({
    url: '/admin/database/selectinfo',
    method: 'get',
    params: params
  })
}

export function getTableColumn(params) {
  return request({
    url: '/admin/database/selectarr',
    method: 'get',
    params: params
  })
}

// 新增
export function addDB(data) {
  return request({
    url: '/admin/database/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateDB(data) {
  return request({
    url: '/admin/database/upinfo',
    method: 'put',
    data: data
  })
}
// 删除
export function delDB(dbname, drivername) {
  return request({
    url: `/admin/database/del?dbname=${dbname}&drivername=${drivername}`,
    method: 'delete'
  })
}

