import request from '@/utils/request'

// 查询列表
export function getEtltablist(query) {
  return request({
    url: '/admin/etltab/listpage',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getEtltab(params) {
  return request({
    url: '/admin/etltab/selectinfo',
    method: 'get',
    params: params
  })
}

export function getTableColumn(params) {
  return request({
    url: '/admin/etltab/selectarr',
    method: 'get',
    params: params
  })
}

// 新增
export function addEtltab(data) {
  return request({
    url: '/admin/etltab/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateEtltab(data) {
  return request({
    url: '/admin/etltab/upinfo',
    method: 'put',
    data: data
  })
}
// 删除
export function delEtltab(finr, id) {
  return request({
    url: `/admin/etltab/del?finr=${finr}&eid=${id}`,
    method: 'delete'
  })
}

export function getEtlErrorlist(query) {
  return request({
    url: '/admin/buffer/bufferlist',
    method: 'get',
    params: query
  })
}

export function getSql(query) {
  return request({
    url: '/admin/buffer/testsql',
    method: 'get',
    params: query
  })
}
