import request from '@/utils/request'

export function getPrintheadList(query) {
  return request({
    url: '/admin/printheadtab/listpage',
    method: 'get',
    params: query
  })
}

export function getPrinthead(query) {
  return request({
    url: '/admin/printheadtab/selectinfo',
    method: 'get',
    params: query
  })
}

// 新增
export function addPrinthead(data) {
  return request({
    url: '/admin/printheadtab/addinfo',
    method: 'post',
    data: data
  })
}

// 重打
export function updatePrinthead(data) {
  return request({
    url: '/admin/printheadtab/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delPrinthead(finr, id) {
  return request({
    url: `/admin/printheadtab/del?finr=${finr}&printheadid=${id}`,
    method: 'delete'
  })
}

export function getPrintDetailList(query) {
  return request({
    url: '/admin/printdetailtab/listpage',
    method: 'get',
    params: query
  })
}
