import request from '@/utils/request'

export function getDaymodelList(query) {
  return request({
    url: '/admin/daymodel/listpage',
    method: 'get',
    params: query
  })
}

export function getDaymodel(query) {
  return request({
    url: '/admin/daymodel/selectinfo',
    method: 'get',
    params: query
  })
}

// 新增
export function addDaymodel(data) {
  return request({
    url: '/admin/daymodel/addinfo',
    method: 'post',
    data: data
  })
}

// 重打
export function updateDaymodel(data) {
  return request({
    url: '/admin/daymodel/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delDaymodel(finr, id) {
  return request({
    url: `/admin/daymodel/del?finr=${finr}&daymodelid=${id}`,
    method: 'delete'
  })
}
