import request from '@/utils/request'

export function getSpecialdayList(query) {
  return request({
    url: '/admin/workline_specialday/listpage',
    method: 'get',
    params: query
  })
}

export function getSpecialday(query) {
  return request({
    url: '/admin/workline_specialday/selectinfo',
    method: 'get',
    params: query
  })
}

// 新增
export function addSpecialday(data) {
  return request({
    url: '/admin/workline_specialday/addinfo',
    method: 'post',
    data: data
  })
}

// 重打
export function updateSpecialday(data) {
  return request({
    url: '/admin/workline_specialday/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delSpecialday(finr, id, day) {
  return request({
    url: `/admin/workline_specialday/del?finr=${finr}&worklineid=${id}&specialday=${day}`,
    method: 'delete'
  })
}
