import request from '@/utils/request'

export function getWorkcalendarList(query) {
  return request({
    url: '/admin/workcalendar/listpage',
    method: 'get',
    params: query
  })
}

export function getWorkcalendar(query) {
  return request({
    url: '/admin/workcalendar/selectinfo',
    method: 'get',
    params: query
  })
}

// 新增
export function addWorkcalendar(data) {
  return request({
    url: '/admin/workcalendar/addinfo',
    method: 'post',
    data: data
  })
}

// 重打
export function updateWorkcalendar(data) {
  return request({
    url: '/admin/workcalendar/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delWorkcalendar(finr, id) {
  return request({
    url: `/admin/workcalendar/del?finr=${finr}&workcalendarid=${id}`,
    method: 'delete'
  })
}

export function getDaymodel() {
  return request({
    url: '/admin/daymodel/selectarr',
    method: 'get'
  })
}
