import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/user/login',
    method: 'post',
    data
  })
}

// export function refreshtoken(data) {
//   return request({
//     url: '/refreshtoken',
//     method: 'post',
//     data
//   })
// }

export function getInfo() {
  return request({
    url: '/user/getuserinfo',
    method: 'get'
  })
}

export function logout() {
  return request({
    url: '/user/logout',
    method: 'post'
  })
}

