

## 功能

```
- 登录
- 退出

- 首页
- 系统管理
   - 用户管理
   - 菜单管理
   - 角色管理

```

## 开发

```bash
# 克隆项目
git clone https://gitee.com/le-it/LAPP_SJA_ME_WEB.git

# 进入项目目录
cd LAPP_SJA_ME_WEB

# 安装依赖
npm install

# 建议不要直接使用 cnpm 安装依赖，会有各种诡异的 bug。可以通过如下操作解决 npm 下载速度慢的问题
npm install --registry=https://registry.npm.taobao.org

# 启动服务
npm run dev
```

浏览器访问 http://localhost:9090

## 发布

```bash
# 构建测试环境
npm run build:stage

# 构建生产环境
npm run build:prod
```



Copyright (c) 2020 le-it
