import request from '@/utils/request'

// 查询列表
export function getAssetlist(query) {
  return request({
    url: '/admin/pm_asset/listpage',
    method: 'get',
    params: query
  })
}

export function getAllAsset() {
  return request({
    url: '/admin/pm_asset/selectall',
    method: 'get'
  })
}

// 查询详细
export function getAsset(params) {
  return request({
    url: '/admin/pm_asset/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addAsset(data) {
  return request({
    url: '/admin/pm_asset/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateAsset(data) {
  return request({
    url: '/admin/pm_asset/upinfo',
    method: 'put',
    data: data
  })
}
// 删除
export function delAsset(finr, id) {
  return request({
    url: `/admin/pm_asset/del?finr=${finr}&assetid=${id}`,
    method: 'delete'
  })
}

// 查询未分配
export function getUnassignList() {
  return request({
    url: '/admin/pm_asset/selectall',
    method: 'get'
  })
}
