import request from '@/utils/request'

// 查询列表
export function getAssettypelist(query) {
  return request({
    url: '/admin/pm_assettype/listpage',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getAssettype(params) {
  return request({
    url: '/admin/pm_assettype/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addAssettype(data) {
  return request({
    url: '/admin/pm_assettype/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateAssettype(data) {
  return request({
    url: '/admin/pm_assettype/upinfo',
    method: 'put',
    data: data
  })
}
// 删除
export function delAssettype(finr, id) {
  return request({
    url: `/admin/pm_assettype/del?finr=${finr}&assettype=${id}`,
    method: 'delete'
  })
}
