import request from '@/utils/request'

// 查询列表
export function getAttributelist(query) {
  return request({
    url: '/admin/attribute/listpage',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getAttribute(params) {
  return request({
    url: '/admin/attribute/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addAttribute(data) {
  return request({
    url: '/admin/attribute/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateAttribute(data) {
  return request({
    url: '/admin/attribute/upinfo',
    method: 'put',
    data: data
  })
}
// 删除
export function delAttribute(finr, id) {
  return request({
    url: `/admin/attribute/del?finr=${finr}&attrnr=${id}`,
    method: 'delete'
  })
}
