import request from '@/utils/request'

// 查询列表
export function getLocationlist(query) {
  return request({
    url: '/admin/pm_location/listpage',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getLocation(params) {
  return request({
    url: '/admin/pm_location/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addLocation(data) {
  return request({
    url: '/admin/pm_location/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateLocation(data) {
  return request({
    url: '/admin/pm_location/upinfo',
    method: 'put',
    data: data
  })
}
// 删除
export function delLocation(finr, id) {
  return request({
    url: `/admin/pm_location/del?finr=${finr}&locaid=${id}`,
    method: 'delete'
  })
}
// 查询未分配
export function getUnassignList() {
  return request({
    url: '/admin/pm_location/selectall',
    method: 'get'
  })
}
