import request from '@/utils/request'

// 查询列表
export function getTableList(query) {
  return request({
    url: '/admin/pm_wo/listpage',
    method: 'get',
    params: query
  })
}

export function getDetail(query) {
  return request({
    url: '/admin/pm_wo/selectone',
    method: 'get',
    params: query
  })
}

export function updateStatus(params) {
  return request({
    url: '/admin/pm_wo/upinfo',
    method: 'put',
    data: params
  })
}

export function updateValst(params) {
  return request({
    url: '/admin/pm_wo_attr/upinfo',
    method: 'put',
    data: params
  })
}

export function uploadValst(params) {
  return request({
    url: '/admin/pm_wo_attr/upload',
    method: 'post',
    data: params
  })
}
