import request from '@/utils/request'
export function getFieldList(query) {
  return request({
    url: '/admin/tabnames/listpage',
    method: 'get',
    params: query
  })
}

export function delField(tabelName, fieldName) {
  return request({
    url: `/admin/tabnames/del?tabname=${tabelName}&colname=${fieldName}`,
    method: 'delete'
  })
}

export function uploadExcel(param) {
  return request({
    url: '/admin/tabnames/addinfo',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: param
  })
}

export function getAllField() {
  return request({
    url: '/admin/tabnames/list',
    method: 'get'
  })
}
