import request from '@/utils/request'

// 查询列表
export function listSnrtab(query) {
  return request({
    url: '/admin/snrtab/listpage',
    method: 'get',
    params: query
  })
}

export function getCondition(query) {
  return request({
    url: '/admin/stdeftab/selectall',
    method: 'get',
    params: query
  })
}

export function getStanderOne(query) {
  return request({
    url: '/admin/stdeftab/selectarr',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getSnrtab(params) {
  return request({
    url: '/admin/snrtab/selectinfo',
    method: 'get',
    params: params
  })
}

// 新增
export function addSnrtab(data) {
  return request({
    url: '/admin/snrtab/addinfo',
    method: 'post',
    data: data
  })
}

// 修改
export function updateSnrtab(data) {
  return request({
    url: '/admin/snrtab/upinfo',
    method: 'put',
    data: data
  })
}
// 删除
export function delSnrtab(finr, snrid) {
  return request({
    url: `/admin/snrtab/del?finr=${finr}&snrid=${snrid}`,
    method: 'delete'
  })
}
