import request from '@/utils/request'

export function getWeekmodelList(query) {
  return request({
    url: '/admin/weekmodel/listpage',
    method: 'get',
    params: query
  })
}

export function getWeekmodel(query) {
  return request({
    url: '/admin/weekmodel/selectinfo',
    method: 'get',
    params: query
  })
}

// 新增
export function addWeekmodel(data) {
  return request({
    url: '/admin/weekmodel/addinfo',
    method: 'post',
    data: data
  })
}

// 重打
export function updateWeekmodel(data) {
  return request({
    url: '/admin/weekmodel/upinfo',
    method: 'put',
    data: data
  })
}

// 删除
export function delWeekmodel(finr, id) {
  return request({
    url: `/admin/weekmodel/del?finr=${finr}&weekmodelid=${id}`,
    method: 'delete'
  })
}

export function getDaymodel() {
  return request({
    url: '/admin/daymodel/selectarr',
    method: 'get'
  })
}
