import { getAllField } from '@/api/system/field'

// 获取列名翻译
export function getColumnName(colName) {
  let fieldObj = JSON.parse(localStorage.getItem('allField')) || {}
  if (Object.keys(fieldObj).length < 1) {
    getAllField().then(res => {
      localStorage.setItem('allField', JSON.stringify(res.data))
      fieldObj = res.data
    })
  }
  let col = colName
  if (colName.indexOf('-') > -1) col = colName.split('-')[1]
  for (const key in fieldObj) {
    if (col === key.split('.')[1]) {
      col = fieldObj[key]
      return col
    }
  }
  return col
}
