import { getStdeftabList } from '@/api/system/stdeftab'

// 获取单元格内容翻译
export function getContent(value) {
  let valueArray = JSON.parse(localStorage.getItem('contentValue')) || []
  if (valueArray.length < 1) {
    getStdeftabList().then(res => {
      localStorage.setItem('contentValue', JSON.stringify(res.data.data))
      valueArray = res.data.data
      return getValue(valueArray, value)
    })
  } else {
    return getValue(valueArray, value)
  }
}

function getValue(valueArray, value) {
  let temp = ''
  valueArray.forEach(item => {
    if (item['stdeftab-stdeftyp'] === value) temp = item['stdeftab-lang']
  })
  return temp
}
